| Home | Libraries | People | FAQ | More

## Struct template type_to_string<icl::right_open_interval< DomainT, Compare >>

boost::icl::type_to_string<icl::right_open_interval< DomainT, Compare >>

## Synopsis

    // In header: <boost/icl/right_open_interval.hpp>

    template<typename DomainT, ICL_COMPARE Compare>
    struct type_to_string<icl::right_open_interval< DomainT, Compare >> {

      // public static functions
      static std::string apply();
    };

## Description

### `type_to_string` public static functions

1.     static std::string apply();